Fedora 21 : curl-7.37.0-11.fc21 (2014-16605)

Medium Nessus Plugin ID 79951

Synopsis

The remote Fedora host is missing a security update.

Description

- make CURLOPT_LOW_SPEED_LIMIT work again with threaded resolver (#1172572)

- allow to use TLS 1.1 and TLS 1.2 (#1153814)

- disable libcurl-level downgrade to SSLv3 (#1166567)

- low-speed-limit: avoid timeout flood (#1166239)

- fix handling of CURLOPT_COPYPOSTFIELDS in curl_easy_duphandle (CVE-2014-3707)

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

Update the affected curl package.

See Also

https://bugzilla.redhat.com/show_bug.cgi?id=1154941

http://www.nessus.org/u?f058179c

Plugin Details

Severity: Medium

ID: 79951

File Name: fedora_2014-16605.nasl

Version: Revision: 1.2

Type: local

Agent: unix

Published: 2014/12/15

Updated: 2015/10/19

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:N/A:N

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:curl, cpe:/o:fedoraproject:fedora:21

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2014/12/12

Reference Information

CVE: CVE-2014-3707

FEDORA: 2014-16605